Package com.mockobjects.jms

# Class MockObjectMessage

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockMessage
com.mockobjects.jms.MockObjectMessage

All Implemented Interfaces:
  `Verifiable`

public class MockObjectMessage extends MockMessage

## Constructor Summary

Constructors
Constructor
Description
`MockObjectMessage()`

## Method Summary

Modifier and Type
Method
Description
`Serializable`
`getObject()`
`void`
`setObject(Serializable serialisable)`
`void`
`setupGetObject(Serializable objectToReturn)`

### Methods inherited from class com.mockobjects.jms.MockMessage

`acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setExpectedAcknowledgeCalls, setExpectedJMSReplyTo, setExpectedSetJMSCorrelationIDCalls, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty, setupJMSMessageID, setupThrowException`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockObjectMessage

public MockObjectMessage()

## Method Details

### setupGetObject

public void setupGetObject(Serializable objectToReturn)

### getObject

public Serializable getObject() throws JMSException

Throws:
  `JMSException`

### setObject

public void setObject(Serializable serialisable) throws JMSException

Throws:
  `JMSException`